<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage (2021)</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Savage-2021-4/digital-comic/930945</Web>
  <Summary>Mad geniuses Max Bemis (Worst X-Man Ever) and Nate Stockman (Spidey) bring their first Savage adventure to a mayhem-filled finale.

What do you get when you cross evil mad scientists, too many video games, and monsters from another dimension? DINOSAURS WITH JETPACKS AND LASERS!

It’s an all-out brawl to save our dimension from Project Bizarre’s evil quest to become one with the Faraway. And only Savage can save us. Or he’ll die trying.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB930945], [ASINB091D3MGZ3]</Notes>
  <Publisher>Valiant</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
